Skip to content

Instances

All operations require authentication.

14 operationsv1/hosting/privateDatabase
Agent setup

List Web Cloud DatabasesProduction

GET
/1.0/hosting/privateDatabase

Returns the service names of the Web Cloud Databases of the account.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get available order capacitiesProduction

GET
/1.0/hosting/privateDatabase/availableOrderCapacities

Returns the datacenters, RAM sizes and DBMS versions available for the requested offer.

Query parameters

offer
required
OfferEnum

Available offers

Valuesclassicpublic

Response

200availableOrderCapacitiessuccessful operation
datacenter
read-only
DatacenterEnum[]

A list of datacenter available for this offer

Valuesbhs1gra1gra2gra3
offer
read-only
OfferEnum

Offer

Valuesclassicpublic
ram
read-only
AvailableRamSizeEnum[]

A list of ram size available for this offer

Values102420484096512
version
read-only
AvailableVersionEnum[]

A list of version available for this offer

Valuesmariadb_10.11mariadb_11.4mariadb_11.8mysql_8.0mysql_8.4postgresql_14postgresql_15postgresql_16postgresql_17postgresql_18valkey_7.2valkey_8.1valkey_9.1

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/availableOrderCapacities \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "datacenter": [ "bhs1" ], "offer": "classic", "ram": [ "1024" ], "version": [ "mariadb_10.11" ]}

Get a Web Cloud DatabaseProduction

GET
/1.0/hosting/privateDatabase/{serviceName}

Returns the service properties, such as offer, DBMS type and version, hostname and ports, RAM, quota and state.

Path parameters

serviceName
required
string

Service name

Response

200ServiceWithIAMsuccessful operation
capabilities
read-only
Capability[]

Private database capabilities

cpu
read-only
integer

Number of cpu on your private database

datacenter
read-only
DatacenterEnum

Datacenter where this private database is located

Valuesbhs1gra1gra2gra3
displayName
string

Set the name displayed in customer panel for your private database (max 50 chars)

graphEndpoint
read-only
GraphEndpoint

Parameters required to query metrics from OpenTSDB

guiURL
read-only
string

URL for the graphical user interface

hostname
read-only
string

Private database hostname

hostnameFtp
read-only
string

Private database ftp hostname

iam
read-only
ResourceMetadata

IAM resource metadata

infrastructure
read-only
InfrastructureEnum

Infrastructure where service was stored

Valuesdocker
ip
read-only
ipv4

Private database ip

isUnderMaintenance
read-only
boolean

Is the service under maintenance

lastCheck
read-only
stringdate-time

Date of the last data synchronization

offer
read-only
OfferEnum

Type of the private database offer

Valuesclassicpublic
port
read-only
integer

Private database service port

portFtp
read-only
integer

Private database ftp port

quotaSize
read-only
UnitAndValue_long

Space allowed on your private database

quotaUsed
read-only
UnitAndValue_long

Total space used on your private database

ram
read-only
UnitAndValue_long

Amount of ram on your private database

server
read-only
string

Private database server name

serviceName
read-only
string

Service name

state
read-only
StateEnum

Private database state

ValuesdetachedrestartPendingstartPendingstartedstopPendingstopped
tlsCa
read-only
string

Return the TLS certificate authority used by the private database

type
read-only
TypeEnum

Private database type

Valuesmariadbmysqlpostgresqlvalkey
version
read-only
VersionEnum

Private database version

Valuesmariadb_10.11mariadb_11.4mariadb_11.8mysql_8.0mysql_8.4postgresql_14postgresql_15postgresql_16postgresql_17postgresql_18valkey_7.2valkey_8.1valkey_9.1
versionLabel
read-only
string

Private database version label

versionNumber
read-only
number

Private database version number

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "capabilities": [ { "create": true, "delete": true, "object": "string", "update": true } ], "cpu": 0, "datacenter": "bhs1", "displayName": "string", "graphEndpoint": { "host": "string", "readToken": "string", "readTokenId": "string" }, "guiURL": "string", "hostname": "string", "hostnameFtp": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "infrastructure": "docker", "ip": "192.0.2.0", "isUnderMaintenance": true, "lastCheck": "2024-01-01T12:00:00Z", "offer": "classic", "port": 0, "portFtp": 0, "quotaSize": { "unit": "string", "value": 0 }, "quotaUsed": { "unit": "string", "value": 0 }, "ram": { "unit": "string", "value": 0 }, "server": "string", "serviceName": "string", "state": "detached", "tlsCa": "string", "type": "mariadb", "version": "mariadb_10.11", "versionLabel": "string", "versionNumber": 0}

Update a Web Cloud DatabaseProduction

PUT
/1.0/hosting/privateDatabase/{serviceName}

Updates the editable properties of the service, such as the display name (50 characters maximum).

Path parameters

serviceName
required
string

Service name

Request body (required)

capabilities
read-only
Capability[]

Private database capabilities

cpu
read-only
integer

Number of cpu on your private database

datacenter
read-only
DatacenterEnum

Datacenter where this private database is located

Valuesbhs1gra1gra2gra3
displayName
string

Set the name displayed in customer panel for your private database (max 50 chars)

graphEndpoint
read-only
GraphEndpoint

Parameters required to query metrics from OpenTSDB

guiURL
read-only
string

URL for the graphical user interface

hostname
read-only
string

Private database hostname

hostnameFtp
read-only
string

Private database ftp hostname

infrastructure
read-only
InfrastructureEnum

Infrastructure where service was stored

Valuesdocker
ip
read-only
ipv4

Private database ip

isUnderMaintenance
read-only
boolean

Is the service under maintenance

lastCheck
read-only
stringdate-time

Date of the last data synchronization

offer
read-only
OfferEnum

Type of the private database offer

Valuesclassicpublic
port
read-only
integer

Private database service port

portFtp
read-only
integer

Private database ftp port

quotaSize
read-only
UnitAndValue_long

Space allowed on your private database

quotaUsed
read-only
UnitAndValue_long

Total space used on your private database

ram
read-only
UnitAndValue_long

Amount of ram on your private database

server
read-only
string

Private database server name

serviceName
read-only
string

Service name

state
read-only
StateEnum

Private database state

ValuesdetachedrestartPendingstartPendingstartedstopPendingstopped
tlsCa
read-only
string

Return the TLS certificate authority used by the private database

type
read-only
TypeEnum

Private database type

Valuesmariadbmysqlpostgresqlvalkey
version
read-only
VersionEnum

Private database version

Valuesmariadb_10.11mariadb_11.4mariadb_11.8mysql_8.0mysql_8.4postgresql_14postgresql_15postgresql_16postgresql_17postgresql_18valkey_7.2valkey_8.1valkey_9.1
versionLabel
read-only
string

Private database version label

versionNumber
read-only
number

Private database version number

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

List available DBMS versionsProduction

GET
/1.0/hosting/privateDatabase/{serviceName}/availableVersions

Returns the DBMS versions available for the service. Use one of them to change the DBMS version.

Path parameters

serviceName
required
string

Service name

Response

200AvailableVersionEnum[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/availableVersions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "mariadb_10.11"]

Change the contactsProduction

POST
/1.0/hosting/privateDatabase/{serviceName}/changeContact

Starts a change procedure for the admin, billing or tech contact of the service. Returns the IDs of the account contact change tasks, which are not listed in the service tasks.

Path parameters

serviceName
required
string

Service name

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Change the FTP passwordProduction

POST
/1.0/hosting/privateDatabase/{serviceName}/changeFtpPassword

Changes the FTP admin password of the service. The password must be alphanumeric and at least 8 characters long.

Path parameters

serviceName
required
string

Service name

Request body (required)

password
required
stringpassword

New ftp admin password (alphanumeric and 8 characters minimum)

Response

200Tasksuccessful operation
databaseName
read-only
string

Database name on which the task is working

doneDate
read-only
stringdate-time

Completion date

dumpId
read-only
integer

DumpId on which the task is working

function
read-only
FunctionEnum

Function name

ValuesabusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/update
id
read-only
integer

The id of the task

lastUpdate
read-only
stringdate-time

Last update

startDate
read-only
stringdate-time

Task creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrortodo
userName
read-only
string

User name on which the task is working

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/changeFtpPassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}

Change the DBMS versionProduction

POST
/1.0/hosting/privateDatabase/{serviceName}/changeVersion

Changes the DBMS version of the service to one of the available versions. Returns a task to follow the change.

Path parameters

serviceName
required
string

Service name

Request body (required)

version
required
AvailableVersionEnum

Change the private database engine version

Valuesmariadb_10.11mariadb_11.4mariadb_11.8mysql_8.0mysql_8.4postgresql_14postgresql_15postgresql_16postgresql_17postgresql_18valkey_7.2valkey_8.1valkey_9.1

Response

200Tasksuccessful operation
databaseName
read-only
string

Database name on which the task is working

doneDate
read-only
stringdate-time

Completion date

dumpId
read-only
integer

DumpId on which the task is working

function
read-only
FunctionEnum

Function name

ValuesabusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/update
id
read-only
integer

The id of the task

lastUpdate
read-only
stringdate-time

Last update

startDate
read-only
stringdate-time

Task creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrortodo
userName
read-only
string

User name on which the task is working

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/changeVersion \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}

Confirm the terminationProduction

POST
/1.0/hosting/privateDatabase/{serviceName}/confirmTermination

Confirms the termination of the service with the token sent by email to the admin contact.

Path parameters

serviceName
required
string

Service name

Request body (required)

commentary
string

Commentary about your termination request

commentaryFutureUse
string

Commentary about your future use

commentaryReason
string

Commentary about your reason for termination request

futureUse
TerminationFutureUseEnum

All future uses you can provide for a service termination

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

All reasons you can provide for a service termination

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Restart the serviceProduction

POST
/1.0/hosting/privateDatabase/{serviceName}/restart

Restarts the service, which is unavailable for a few seconds. Returns a task to follow the restart.

Path parameters

serviceName
required
string

Service name

Response

200Tasksuccessful operation
databaseName
read-only
string

Database name on which the task is working

doneDate
read-only
stringdate-time

Completion date

dumpId
read-only
integer

DumpId on which the task is working

function
read-only
FunctionEnum

Function name

ValuesabusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/update
id
read-only
integer

The id of the task

lastUpdate
read-only
stringdate-time

Last update

startDate
read-only
stringdate-time

Task creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrortodo
userName
read-only
string

User name on which the task is working

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/restart \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}

Get service informationProduction

GET
/1.0/hosting/privateDatabase/{serviceName}/serviceInfos

Returns the billing information of the service, such as creation and expiration dates, contacts and renewal settings.

Path parameters

serviceName
required
string

Service name

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/hosting/privateDatabase/{serviceName}/serviceInfos

Updates the editable service information, such as the renewal settings.

Path parameters

serviceName
required
string

Service name

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Request the terminationProduction

POST
/1.0/hosting/privateDatabase/{serviceName}/terminate

Starts the termination of the service and sends a confirmation token by email to the admin contact. Confirm it with the termination confirmation.

Path parameters

serviceName
required
string

Service name

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

List linked web hostingsProduction

GET
/1.0/hosting/privateDatabase/{serviceName}/webs

Returns the service names of the web hostings linked to the service.

Path parameters

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/webs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]